Skip to main content
GET
/
v5
/
clientMgmt
/
business
Get a business
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/clientMgmt/business \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "bizType": "CONSULTANT",
  "id": 123,
  "firstName": "<string>",
  "lastName": "<string>",
  "showFirstLastName": true,
  "showName": true,
  "email": "<string>",
  "showEmail": true,
  "phoneWork": "<string>",
  "showPhoneWork": true,
  "address1": "<string>",
  "address2": "<string>",
  "city": "<string>",
  "state": "<string>",
  "zip": "<string>",
  "showAddress": true,
  "invoicePrefix": "<string>",
  "status": "ACTIVE",
  "invoiceClientInfoDefaults": {
    "showClientEmail": true,
    "showClientName": true,
    "showClientBusinessName": true,
    "showClientAddress": true,
    "showClientPhoneWork": true
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

id
string
default:""
required

Id of the specific business

Response

200 - application/json

Successful operation

name
string
required

Name for business

bizType
enum<string>
required

Business type for this business

Available options:
CONSULTANT,
REAL_ESTATE_AGENT,
DRIVER,
INSURANCE_AGENT,
RETAIL,
HOST,
FREELANCER,
E_COMMERCE,
SALES,
OTHER
id
integer<int64>

Id of this business, required to update an existing business

firstName
string

First name of the user, used for display on invoices

lastName
string

Last name of the user, used for display on invoices

showFirstLastName
boolean

Whether the user's first and last names are displayed on invoices

showName
boolean

Whether the user's business name is displayed on invoices

email
string

Email of the user, used for display on invoices

showEmail
boolean

Whether the user's email is displayed on invoices

phoneWork
string

Your user's business phone number

showPhoneWork
boolean

Whether the user's business phone number is displayed on invoices

address1
string

First line of your user's business address

address2
string

Second line of your user's business address

city
string

City of your user's business address

state
string

State/Province of your user's business address

zip
string

Zip/Postal code of your user's business address

showAddress
boolean

Whether the user's business address is displayed on invoices

invoicePrefix
string

Prefix for invoice numbering

status
enum<string>

Status of this business

Available options:
ACTIVE,
INACTIVE
invoiceClientInfoDefaults
object

Defaults for client information on invoices